---
title: "Query blog post list"
description: "Query blog list (return custom route)"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/blog-post/query-blog-post-list'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/blog-post/query-blog-post-list.md'
---
# Query blog post list

Query blog list (return custom route)

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/blogs/:blog_collection_id/articles.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_content`

## Request

### Path Parameters

* `blog_collection_id`

  string (required)

  The id of the blog collection

### Query Parameters

* `author`

  string (optional)

  Blog Author

* `created_at_min`

  string (optional)

  Show blogs created after this date

* `since_id`

  string (optional)

  Show blogs after this id

* `created_at_max`

  string (optional)

  Show blogs created before this date

* `fields`

  string (optional)

  Comma-delimited list of fields to include in the response

* `published_at_min`

  string (optional)

  Show blogs published after this date

* `updated_at_min`

  string (optional)

  Show blogs updated after this date

* `limit`

  string (optional)

  The default query limit is 50 and cannot exceed 1000.

* `published_at_max`

  string (optional)

  Show blogs published before this date

* `updated_at_max`

  string (optional)

  Show blogs updated before this date

* `handle`

  string (optional)

  Blog handle

* `published_status`

  string (optional)

  Publishing status, enumeration value: any (all); published (published); unpublished (unpublished)

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `blogs`

  array<object>

  Blog list information

  * `title`

    string

    Blog Title

  * `updated_at`

    string

    Updated ISO 8601

  * `blog_collection_id`

    string

    The id of the blog collection

  * `custom_url`

    object

    Custom URLs for products on your store

    * `is_customized`

      boolean

      Whether to customize

    * `url`

      string

      The product URL on the store, greater than or equal to 0 characters and less than or equal to 512 characters

  * `digest`

    string

    Blog Summary

  * `image`

    object

    Blog cover information

    * `src`

      string

      image link

    * `alt`

      string

      Image alt

  * `published_at`

    string

    Release time ISO 8601

  * `user_id`

    string

    Operator's ID

  * `author`

    string

    Blog Author

  * `created_at`

    string

    Creation time ISO 8601

  * `handle`

    string

    Blog handle

  * `id`

    string

    Blog id

  * `template_name`

    string

    The name of the associated template


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Query blog post list"
  ],
  "description": "Query blog list (return custom route)",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| DATA_NOT_EXIST | 404 | The requested data does not exist. |\n| INTERNAL_ERROR | 500 | An internal error occured. |\n| SUCCESS | 200 | request success |\n"
  },
  "operationId": "H4bMno5u",
  "parameters": [
    {
      "name": "author",
      "in": "query",
      "description": "Blog Author",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "author",
        "description": "Blog Author",
        "type": "string",
        "example": "\"Alvin\""
      },
      "example": "\"Alvin\""
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Show blogs created after this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Show blogs created after this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "Show blogs after this id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "Show blogs after this id",
        "type": "string",
        "example": "\"66718d010588d64ef7d15c96\""
      },
      "example": "\"66718d010588d64ef7d15c96\""
    },
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Show blogs created before this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Show blogs created before this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Comma-delimited list of fields to include in the response",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Comma-delimited list of fields to include in the response",
        "type": "string",
        "example": "id,handle"
      },
      "example": "id,handle"
    },
    {
      "name": "published_at_min",
      "in": "query",
      "description": "Show blogs published after this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_min",
        "description": "Show blogs published after this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Show blogs updated after this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Show blogs updated after this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "limit",
      "in": "query",
      "description": "The default query limit is 50 and cannot exceed 1000.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The default query limit is 50 and cannot exceed 1000.",
        "type": "string",
        "example": 1000
      },
      "example": 1000
    },
    {
      "name": "published_at_max",
      "in": "query",
      "description": "Show blogs published before this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_at_max",
        "description": "Show blogs published before this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Show blogs updated before this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Show blogs updated before this date",
        "type": "string",
        "example": "2014-04-25T16:15:47-04:00"
      },
      "example": "2014-04-25T16:15:47-04:00"
    },
    {
      "name": "handle",
      "in": "query",
      "description": "Blog handle",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "handle",
        "description": "Blog handle",
        "type": "string",
        "example": "\"update-handle\""
      },
      "example": "\"update-handle\""
    },
    {
      "name": "published_status",
      "in": "query",
      "description": "Publishing status, enumeration value: any (all); published (published); unpublished (unpublished)",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "published_status",
        "description": "Publishing status, enumeration value: any (all); published (published); unpublished (unpublished)",
        "type": "string",
        "example": "published"
      },
      "example": "published"
    },
    {
      "name": "blog_collection_id",
      "in": "path",
      "description": "The id of the blog collection",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "blog_collection_id",
        "description": "The id of the blog collection",
        "type": "string"
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "blogs": {
                "name": "blogs",
                "description": "Blog list information",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "title": {
                      "name": "title",
                      "description": "Blog Title",
                      "type": "string",
                      "example": "\"70626title\""
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "Updated ISO 8601",
                      "type": "string",
                      "example": "\"2024-06-19T12:42:55+00:00\","
                    },
                    "blog_collection_id": {
                      "name": "blog_collection_id",
                      "description": "The id of the blog collection",
                      "type": "string",
                      "example": " \"64e313c4cd5956279e61d150\""
                    },
                    "custom_url": {
                      "name": "custom_url",
                      "description": "Custom URLs for products on your store",
                      "type": "object",
                      "properties": {
                        "is_customized": {
                          "name": "is_customized",
                          "description": "Whether to customize",
                          "type": "boolean",
                          "example": true
                        },
                        "url": {
                          "name": "url",
                          "description": "The product URL on the store, greater than or equal to 0 characters and less than or equal to 512 characters",
                          "type": "string",
                          "example": "\"/custom-url\""
                        }
                      },
                      "example": {
                        "is_customized": true,
                        "url": "\"/custom-url\""
                      }
                    },
                    "digest": {
                      "name": "digest",
                      "description": "Blog Summary",
                      "type": "string",
                      "example": "\"28086digest\""
                    },
                    "image": {
                      "name": "image",
                      "description": "Blog cover information",
                      "type": "object",
                      "properties": {
                        "src": {
                          "name": "src",
                          "description": "image link",
                          "type": "string",
                          "example": "\"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417\""
                        },
                        "alt": {
                          "name": "alt",
                          "description": "Image alt",
                          "type": "string",
                          "example": "\"21933Alt\""
                        }
                      },
                      "example": {
                        "alt": "\"21933Alt\"",
                        "src": "\"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417\""
                      }
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "Release time ISO 8601",
                      "type": "string",
                      "example": "\"2024-06-25T11:15:47+08:00\""
                    },
                    "user_id": {
                      "name": "user_id",
                      "description": "Operator's ID",
                      "type": "string",
                      "example": "\"3400001642\""
                    },
                    "author": {
                      "name": "author",
                      "description": "Blog Author",
                      "type": "string",
                      "example": "\"Alvin\""
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "Creation time ISO 8601",
                      "type": "string",
                      "example": "\"2024-06-18T13:34:57+00:00\""
                    },
                    "handle": {
                      "name": "handle",
                      "description": "Blog handle",
                      "type": "string",
                      "example": "\"update-handle\""
                    },
                    "id": {
                      "name": "id",
                      "description": "Blog id",
                      "type": "string",
                      "example": "\"66718d010588d64ef7d15c96\""
                    },
                    "template_name": {
                      "name": "template_name",
                      "description": "The name of the associated template",
                      "type": "string",
                      "example": "\"templates/blogs/detail.a2c29192484301fa.json\""
                    }
                  },
                  "example": {
                    "digest": "\"28086digest\"",
                    "handle": "\"update-handle\"",
                    "published_at": "\"2024-06-25T11:15:47+08:00\"",
                    "author": "\"Alvin\"",
                    "blog_collection_id": " \"64e313c4cd5956279e61d150\"",
                    "id": "\"66718d010588d64ef7d15c96\"",
                    "image": {
                      "src": "\"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417\"",
                      "alt": "\"21933Alt\""
                    },
                    "template_name": "\"templates/blogs/detail.a2c29192484301fa.json\"",
                    "title": "\"70626title\"",
                    "updated_at": "\"2024-06-19T12:42:55+00:00\",",
                    "user_id": "\"3400001642\"",
                    "created_at": "\"2024-06-18T13:34:57+00:00\"",
                    "custom_url": {
                      "is_customized": true,
                      "url": "\"/custom-url\""
                    }
                  }
                },
                "example": [
                  {
                    "author": "\"Alvin\"",
                    "created_at": "\"2024-06-18T13:34:57+00:00\"",
                    "custom_url": {
                      "is_customized": true,
                      "url": "\"/custom-url\""
                    },
                    "digest": "\"28086digest\"",
                    "handle": "\"update-handle\"",
                    "published_at": "\"2024-06-25T11:15:47+08:00\"",
                    "template_name": "\"templates/blogs/detail.a2c29192484301fa.json\"",
                    "user_id": "\"3400001642\"",
                    "blog_collection_id": " \"64e313c4cd5956279e61d150\"",
                    "id": "\"66718d010588d64ef7d15c96\"",
                    "image": {
                      "alt": "\"21933Alt\"",
                      "src": "\"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417\""
                    },
                    "title": "\"70626title\"",
                    "updated_at": "\"2024-06-19T12:42:55+00:00\","
                  }
                ]
              }
            },
            "example": {
              "blogs": [
                {
                  "user_id": "\"3400001642\"",
                  "author": "\"Alvin\"",
                  "digest": "\"28086digest\"",
                  "image": {
                    "alt": "\"21933Alt\"",
                    "src": "\"https://img-preview-va.myshopline.com/image/store/3400001642/1624538086300/30e35c9beb4e4be5b3ef336954dcdc14.jpg?w=626&h=417\""
                  },
                  "published_at": "\"2024-06-25T11:15:47+08:00\"",
                  "template_name": "\"templates/blogs/detail.a2c29192484301fa.json\"",
                  "updated_at": "\"2024-06-19T12:42:55+00:00\",",
                  "blog_collection_id": " \"64e313c4cd5956279e61d150\"",
                  "created_at": "\"2024-06-18T13:34:57+00:00\"",
                  "custom_url": {
                    "url": "\"/custom-url\"",
                    "is_customized": true
                  },
                  "handle": "\"update-handle\"",
                  "id": "\"66718d010588d64ef7d15c96\"",
                  "title": "\"70626title\""
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/blogs/:blog_collection_id/articles.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query blog post list",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_content"
  ]
}
```